%define builtin_release_version 1 
%define builtin_release_variant "0"
%define full_release_version %{builtin_release_version}.%{builtin_release_variant}
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define current_arch %{_arch}
%ifarch i386
%define current_arch x86
%endif
Summary: Linux for SPARC 1.0 release file
Name: sparclinux-release
Version: 1.0
Release: 4
Epoch: 1
License: GPL
Group: System Environment/Base
Source: sparclinux-release-%{version}.tar.gz
Obsoletes: rawhide-release redhat-release-as redhat-release-es redhat-release-ws redhat-release-de comps rpmdb-redhat fedora-release
Obsoletes: tao-release whitebox-release oracle-release
Obsoletes: redhat-release-client redhat-release-computenode redhat-release-webserver redhat-release-workstation
Obsoletes: anaconda-product
buildrequires: python

BuildRoot: %{_tmppath}/redhat-release-root

%description
System release and information files

%prep
%setup -q -n sparclinux-release-%{version}

%build 
echo OK 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
echo "Linux for SPARC release %{full_release_version}" > $RPM_BUILD_ROOT/etc/sparclinux-release
ln -s sparclinux-release $RPM_BUILD_ROOT/etc/system-release
echo "Linux for SPARC release %{full_release_version}" > $RPM_BUILD_ROOT/etc/redhat-release

# write cpe to /etc/system/release-cpe
echo "cpe:/o:sparc:sparc_linux:6server:ga:server" > $RPM_BUILD_ROOT/etc/system-release-cpe

# create /etc/issue and /etc/issue.net
cp $RPM_BUILD_ROOT/etc/sparclinux-release $RPM_BUILD_ROOT/etc/issue
%ifarch %{sparc}
 echo "Kernel \r on a \m" >> $RPM_BUILD_ROOT/etc/issue
%else
 echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
%endif
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

#mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d
#for file in *.repo; do
#  install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
#done

mkdir -p $RPM_BUILD_ROOT/usr/share/eula
cp eula.[!py]* $RPM_BUILD_ROOT/usr/share/eula

mkdir -p $RPM_BUILD_ROOT/var/lib
cp supportinfo $RPM_BUILD_ROOT/var/lib/supportinfo

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/rhn

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg
for file in RPM-GPG-KEY* ; do
        install -m 644 $file $RPM_BUILD_ROOT/etc/pki/rpm-gpg
done

# set up the dist tag macros
install -d -m 755 $RPM_BUILD_ROOT/etc/rpm
cat >> $RPM_BUILD_ROOT/etc/rpm/macros.dist << EOF
# dist macros.

%%rhel 6
%%dist .el6
%%el6 1
EOF

%clean
rm -rf $RPM_BUILD_ROOT

# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- redhat-release < 7.1.93-1
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/redhat-release
%attr(0644,root,root) /etc/sparclinux-release
/etc/system-release
#%doc R*
%doc EULA GPL enterprisedocs-man.css autorun-template 
%dir /etc/sysconfig/rhn
%config %attr(0644,root,root) /etc/system-release-cpe 
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
/var/lib/supportinfo
/usr/share/eula/eula.*
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*
/etc/rpm/macros.dist
#/etc/yum.repos.d/*

%changelog
* Tue Sep 29 2015 Keshav Sharma <keshav.sharma@oracle.com> - 1.0-4
- Update EULA in tarball

* Tue Sep 29 2015 Keshav Sharma <keshav.sharma@oracle.com> - 1.0-3
- Rename /etc/sparc-release to /etc/sparclinux-release

* Tue Sep 29 2015 Keshav Sharma <keshav.sharma@oracle.com> - 1.0-2
- Update EULA in tarball

* Wed Sep 16 2015 Kevin Lyons <kevin.x.lyons@oracle.com> - 1.0-1
- Strip out Oracle specific strings for community version

